function onPreCheck() {  
  var result = true;
  return result;
}

function onPreInstall() {

 var result = true;

 var propMgr = Components.classes["@micromuse.com/NCIProperties;1"].getService(Components.interfaces.nsINCIProperties);

 prop = propMgr.GetProp("$NCHOME");
 var nchome = prop.value;

 var ncsmhome = nchome + separator + "security";

 result = copyFile(ncsmhome + separator + "etc" + separator + "SM_typelist", ncsmhome + separator + "etc", "SM_typelist_save");
 if (result != true) {
  return result;
 }

 result = copyFile(ncsmhome + separator + "etc" + separator + "SM_datasourcelist", ncsmhome + separator + "etc", "SM_datasourcelist_save");
 if (result != true) {
  return result;
 }

 if (arch == "win32") {
    
  result = copyFile(ncsmhome + separator + "bin" + separator + "ncsm_db.bat", ncsmhome + separator + "bin", "ncsm_db.bat_save");
  if (result != true) {
	return result;
  }

  result = copyFile(ncsmhome + separator + "etc" + separator + "db.properties", ncsmhome + separator + "etc", "db.properties_save");
  if (result != true) {
	return result;
  }

  result = copyFile(ncsmhome + separator + "etc" + separator + "registry.props", ncsmhome + separator + "etc", "registry.props_save");
  if (result != true) {
	return result;
  }

  result = copyFile(ncsmhome + separator + "etc" + separator + "SM_policylist", ncsmhome + separator + "etc", "SM_policylist_save");
  if (result != true) {
	return result;
  }

  result = copyFile(ncsmhome + separator + "etc" + separator + "SM_smDataSource.ds", ncsmhome + separator + "etc", "SM_smDataSource.ds_save");
  if (result != true) {
	return result;
  }

  result = copyFile(ncsmhome + separator + "etc" + separator + "SM_server.props", ncsmhome + separator + "etc", "SM_server.props_save");
  if (result != true) {
	return result;
  }

  result = copyFile(ncsmhome + separator + "etc" + separator + "SM_servletservice.props", ncsmhome + separator + "etc", "SM_servletservice.props_save");
  if (result != true) {
	return result;
  }


  result = copyFile(ncsmhome + separator + "db" + separator + "security.script", ncsmhome + separator + "db", "security.script_save");
  if (result != true) {
	return result;
  }
 }
 return result;
}

function onPreRemove() {
  return true;
}

function onPostInstall() {
  
  var propMgr = Components.classes["@micromuse.com/NCIProperties;1"].getService(Components.interfaces.nsINCIProperties);

  prop = propMgr.GetProp("$NCHOME");
  var nchome = prop.value;
  
  var ncsmhome = nchome + separator + "security";
  
  var result = true;
  
 if (arch != "win32") {
  result = copyFile(ncsmhome + separator + "bin" + separator + ".ncsm_dbconf_save", ncsmhome + separator + "bin", ".ncsm_dbconf");
  if (result != true) {
	return result;
  }
  deleteFile(ncsmhome + separator + "bin" + separator + ".ncsm_dbconf_save", true);
 } else {
  result = copyFile(ncsmhome + separator + "bin" + separator + "ncsm_db.bat_save", ncsmhome + separator + "bin", "ncsm_db.bat");
  if (result != true) {
	return result;
  }
  deleteFile(ncsmhome + separator + "bin" + separator + "ncsm_db.bat_save", true);
 }

  result = copyFile(ncsmhome + separator + "etc" + separator + "db.properties_save", ncsmhome + separator + "etc", "db.properties");
  if (result != true) {
	return result;
  }
  deleteFile(ncsmhome + separator + "etc" + separator + "db.properties_save", true);

  result = copyFile(ncsmhome + separator + "etc" + separator + "registry.props_save", ncsmhome + separator + "etc", "registry.props");
  if (result != true) {
	return result;
  }
  deleteFile(ncsmhome + separator + "etc" + separator + "registry.props_save", true);

  result = copyFile(ncsmhome + separator + "etc" + separator + "SM_policylist_save", ncsmhome + separator + "etc", "SM_policylist");
  if (result != true) {
	return result;
  }
  deleteFile(ncsmhome + separator + "etc" + separator + "SM_policylist_save", true);

  result = copyFile(ncsmhome + separator + "etc" + separator + "SM_server.props_save", ncsmhome + separator + "etc", "SM_server.props");
  if (result != true) {
	return result;
  }
  deleteFile(ncsmhome + separator + "etc" + separator + "SM_server.props_save", true);

  result = copyFile(ncsmhome + separator + "etc" + separator + "SM_servletservice.props_save", ncsmhome + separator + "etc", "SM_servletservice.props");
  if (result != true) {
	return result;
  }
  deleteFile(ncsmhome + separator + "etc" + separator + "SM_servletservice.props_save", true);

  result = copyFile(ncsmhome + separator + "etc" + separator + "SM_typelist_save", ncsmhome + separator + "etc", "SM_typelist");
  if (result != true) {
	return result;
  }
  deleteFile(ncsmhome + separator + "etc" + separator + "SM_typelist_save", true);

  result = copyFile(ncsmhome + separator + "etc" + separator + "SM_datasourcelist_save", ncsmhome + separator + "etc", "SM_datasourcelist");
  if (result != true) {
	return result;
  }
  deleteFile(ncsmhome + separator + "etc" + separator + "SM_datasourcelist_save", true);

  result = copyFile(ncsmhome + separator + "etc" + separator + "SM_smDataSource.ds_save", ncsmhome + separator + "etc", "SM_smDataSource.ds");
  if (result != true) {
	return result;
  }
  deleteFile(ncsmhome + separator + "etc" + separator + "SM_smDataSource.ds_save", true);

  result = copyFile(ncsmhome + separator + "db" + separator + "security.script_save", ncsmhome + separator + "db", "security.script");
  if (result != true) {
	return result;
  }
  deleteFile(ncsmhome + separator + "db" + separator + "security.script_save", true);

  return result;
}

function onPostRemove() {
  return true;
}
